| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # Base64 Class Reference List of all members.
## Static Public Methods
XMLByte * | encode (const XMLByte *const inputData, const unsigned int inputLength, unsigned int *outputLength)
| Encodes octets into Base64 data.
XMLByte * | decode (const XMLByte *const inputData, unsigned int *outputLength)
| Decodes Base64 data into octets.
XMLCh * | decode (const XMLCh *const inputData, unsigned int *outputLength)
| Decodes Base64 data into XMLCh.
int | getDataLength (const XMLCh *const inputData)
| Get data length.
## Member Function Documentation
XMLCh* Base64::decode | ( | const XMLCh *const | inputData,
|  | unsigned int * | outputLength
| ) | `[static]`
  | Decodes Base64 data into XMLCh. NOTE: The returned buffer is dynamically allocated and is the responsibility of the caller to delete it when not longer needed. You can call XMLString::release to release this returned buffer. Parameters:
  inputData | Base64 data in XMLCh stream.
  outputLength | Length of decoded XMLCh stream
Returns: Decoded binary data in XMLCh stream, or NULL if input data can not be decoded. See also: XMLString::release(XMLCh**)
XMLByte* Base64::decode | ( | const XMLByte *const | inputData,
|  | unsigned int * | outputLength
| ) | `[static]`
  | Decodes Base64 data into octets. NOTE: The returned buffer is dynamically allocated and is the responsibility of the caller to delete it when not longer needed. You can call XMLString::release to release this returned buffer. Parameters:
  inputData | Base64 data in XMLByte stream.
  outputLength | Length of decoded XMLByte stream.
Returns: Decoded binary data in XMLByte stream, or NULL if input data can not be decoded. See also: XMLString::release(XMLByte**)
XMLByte* Base64::encode | ( | const XMLByte *const | inputData,
|  | const unsigned int | inputLength,
|  | unsigned int * | outputLength
| ) | `[static]`
  | Encodes octets into Base64 data. NOTE: The returned buffer is dynamically allocated and is the responsibility of the caller to delete it when not longer needed. You can call XMLString::release to release this returned buffer. Parameters:
  inputData | Binary data in XMLByte stream.
  inputLength | Length of the XMLByte stream.
  outputLength | Length of the encoded Base64 byte stream.
Returns: Encoded Base64 data in XMLByte stream, or NULL if input data can not be encoded. See also: XMLString::release(XMLByte**)
int Base64::getDataLength | ( | const XMLCh *const | inputData | ) | `[static]`
  | Get data length. Returns length of decoded data given an array containing encoded data. Parameters:
  inputData | Base64 data in XMLCh stream.
Returns: Length of decoded data, or -1 if input data can not be decoded.
The documentation for this class was generated from the following file: Base64.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.